Get Organization Groups
Get Organization Groups
Use this API instead:
- /cloudapi/1.0.0/groups
Get groups of a specific organization.
Access Policy
| Role | Access |
|---|---|
| Platform operator | ✔️ |
| Organization Owner | ✔️ |
| Organization Member | ❌ |
| Service Account (Whitelisted Client) | ❌ |
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/orgs/{orgId}/groups
COPY
Path Parameters
string
orgId
Required
orgId
Query Parameters
integer
pageStart
Optional
Constraints:
minimum: 1
default: 1
Specifies the index that the set of results will begin with.
integer
pageLimit
Optional
Constraints:
minimum: 1
maximum: 128
default: 128
Specifies the maximum results per page for every call.
string
groupId
Optional
Unique identifier of the group.
Responses
200
OK
Returns
PagedResponseExpandedGroup
of type(s)
*/*
{
"results": [
{
"id": "string",
"displayName": "string",
"domain": "string",
"usersCount": 0,
"groupType": "string",
"organizationRoles": [
{
"id": "string",
"orgId": "string",
"name": "string",
"displayName": "string"
}
],
"serviceRoles": [
{
"serviceDefinitionId": "string",
"serviceRoleNames": [
"string"
]
}
]
}
],
"nextLink": "string",
"prevLink": "string",
"totalResults": 0
}
401
The user is not authorized to use the API.
Returns
PagedResponseExpandedGroup
of type(s)
*/*
{
"results": [
{
"id": "string",
"displayName": "string",
"domain": "string",
"usersCount": 0,
"groupType": "string",
"organizationRoles": [
{
"id": "string",
"orgId": "string",
"name": "string",
"displayName": "string"
}
],
"serviceRoles": [
{
"serviceDefinitionId": "string",
"serviceRoleNames": [
"string"
]
}
]
}
],
"nextLink": "string",
"prevLink": "string",
"totalResults": 0
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/orgs/{orgId}/groups
Deprecated
On This Page
Organization Groups Controller Operations
GET
Get Group Roles On Organization
Deprecated
PATCH
Update Group Roles On Organization
Deprecated
GET
Get Organization Groups
Deprecated
DELETE
Remove Groups From Organization
Deprecated
GET
Get Paginated Group Users
Deprecated